GroovyPagesUriService (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Interface GroovyPagesUriService

    public interface GroovyPagesUriService

Provides methods to lookup URIs of views and templates.

Authors:
  Graeme Rocher

Since:
  1.2

Field Summary
`java.lang.String` | `BEAN_ID`

Method Summary
`void` | `clear()`
`java.lang.String` | `getAbsoluteTemplateURI(java.lang.String templateName)`
`java.lang.String` | `getAbsoluteViewURI(java.lang.String viewName)`
`java.lang.String` | `getDeployedAbsoluteViewURI(java.lang.String viewName)`
`java.lang.String` | `getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)`
`java.lang.String` | `getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)`
`java.lang.String` | `getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)`
`java.lang.String` | `getTemplateURI(java.lang.String controllerName, java.lang.String templateName)` Obtains a template name of the given controller name and template name
`java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)`
`java.lang.String` | `getViewURI(java.lang.String controllerName, java.lang.String viewName)` Obtains a view name for the given controller name and template name

Field Detail

### BEAN_ID

    public java.lang.String BEAN_ID

Method Detail

### clear

    public void clear()

### getAbsoluteTemplateURI

    public java.lang.String getAbsoluteTemplateURI(java.lang.String templateName)

### getAbsoluteViewURI

    public java.lang.String getAbsoluteViewURI(java.lang.String viewName)

### getDeployedAbsoluteViewURI

    public java.lang.String getDeployedAbsoluteViewURI(java.lang.String viewName)

### getDeployedViewURI

    public java.lang.String getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)

### getNoSuffixViewURI

    public java.lang.String getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

### getNoSuffixViewURI

    public java.lang.String getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)

### getTemplateURI

    public java.lang.String getTemplateURI(java.lang.String controllerName, java.lang.String templateName)

  Obtains a template name of the given controller name and template name
  Parameters:
    `controllerName` - The controller name
    `templateName` - The template name
  Returns:
    The template URI

### getTemplateURI

    public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)

### getViewURI

    public java.lang.String getViewURI(java.lang.String controllerName, java.lang.String viewName)

  Obtains a view name for the given controller name and template name
  Parameters:
    `controllerName` - The controller name
    `viewName` - The view name
  Returns:
    The view URI

Groovy Documentation